/*
 * frmmstr_run.c
 *
 *  Created on: 14 сент. 2023 г.
 *      Author: seklyuts
 */
#include "f28x_project.h"
#include "init_perif.h"
#include "frm_uart.h"
#include "gpio_init.h"

volatile uint16_t counter=0 ;
volatile uint16_t counter1=0 ;
volatile uint16_t counter2=0 ;

void frmmstr_run(void)
{
    FMSTR_Poll();
    if(FMSTR_is_enable()) {
            if(counter < 100) counter++;
            else
            {
                counter = 0;
                if(counter1 < 100) counter1++;
                else
                {
                    counter1=0;
                    counter2++;
                }
            }
            FMSTR_Recorder();
            FMSTR_enable_clr();
    }
}
